org.h2.java.lang

## Class String

- java.lang.Object
- - org.h2.java.lang.String

    public class String
    extends java.lang.Object

A java.lang.String implementation.

### Constructor Summary

Constructors
Constructor and Description
`String(char[] chars)`
`String(char[] chars, int offset, int count)`

### Method Summary

Methods
`java.lang.String` `asString()` Get the java.lang.String.
`int` `hashCode()`
`int` `length()` Get the length of the string.
`String` `toStringMethod()` The toString method.
`static String` `wrap(java.lang.String x)` Wrap a java.lang.String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### String

    public String(char[] chars)

#### String

    public String(char[] chars,
          int offset,
          int count)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### length

    public int length()

Get the length of the string.

Returns:
  the length

#### toStringMethod

    public String toStringMethod()

The toString method.

Returns:
  the string

#### asString

    public java.lang.String asString()

Get the java.lang.String.

Returns:
  the string

#### wrap

    public static String wrap(java.lang.String x)

Wrap a java.lang.String.

Parameters:
  `x` - the string
Returns:
  the object